package sample.persistence.web;

import java.sql.Timestamp;

import org.apache.wicket.Component;
import org.apache.wicket.IConverterLocator;
import org.apache.wicket.protocol.http.WebApplication;
import org.apache.wicket.util.convert.ConverterLocator;

import sample.persistence.web.menu.page.MenuPage;

public class PersistenceApplication extends WebApplication {

	@Override
	protected void init() {
		super.init();
		
		/*
		 * MEMO ˑR|[lgAS2DI郊Xio^. 
		 */
		addComponentInstantiationListener(new S2InjectComponentInstantiationListener());
	}
	
	@SuppressWarnings("unchecked")
	public Class getHomePage() {
		return MenuPage.class;
	}
	
	/**
	 * MEMO ftHg̃Ro[^ݒ肷.<br>
	 * <br>
	 * ʐݒ肵ꍇ́A{@link Component#getConverter(Class)} I[o[Ch
	 * 邱ƂŁAUIR|Pʂɐݒł.
	 */
	@Override
	protected IConverterLocator newConverterLocator() {
		ConverterLocator locator = new ConverterLocator();

		locator.set(Timestamp.class, new PatternedSqlTimestampConverter("yyyy/MM/dd HH:mm:ss.SSS"));
		
		return locator;
	}
	
}
