package sample.persistence.web.menu.page;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;

import sample.persistence.web.item.page.ItemListPage;
import sample.persistence.web.order.page.OrderListPage;
import sample.persistence.web.order.page.OrderPage;

public class MenuPage extends WebPage {

	public MenuPage() {
		super();
		
		add(new BookmarkablePageLink("orderEntry", OrderPage.class));
		
		add(new BookmarkablePageLink("orderList", OrderListPage.class));
		add(new BookmarkablePageLink("itemList", ItemListPage.class));
	}
	
}
