package sample.persistence.dao;

import java.util.List;

import org.seasar.dao.annotation.tiger.Arguments;
import org.seasar.dao.annotation.tiger.Query;
import org.seasar.dao.annotation.tiger.S2Dao;

import sample.persistence.entity.ItemOrder;

@S2Dao(bean=ItemOrder.class)
public interface ItemOrderDao {

	@Arguments({"orderNo"})
	@Query("ORDER_NO = /*oderNo*/")
	public ItemOrder select(int orderNo);
	
	@Query("ORDER BY ORDER_NO")
	public List<ItemOrder> selectAll();

	public void insert(ItemOrder order);
	
}
