package sample.persistence.dao;

import org.seasar.dao.unit.S2DaoTestCase;

import sample.persistence.entity.ItemOrder;

public class ItemOrderDaoTest extends S2DaoTestCase {

	private ItemOrderDao itemOrderDao;
	
	@Override
	protected void setUp() throws Exception {
		include("app.dicon");
	}
	
	public void testSelectTx() throws Exception {
		readXlsWriteDb("ItemOrderDaoTest_testSelectTx.data.xls");
		
		ItemOrder order = itemOrderDao.select(222);
		
		assertEquals(readXls("ItemOrderDaoTest_testSelectTx.expect.xls"), order);
	}
	
}
